Bug 217959 - x86_64 broken, can't find magick-config_64.h
Summary: x86_64 broken, can't find magick-config_64.h
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: GraphicsMagick   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Patch
Depends On:
Blocks: CVE-2006-6120
TreeView+ depends on / blocked
 
Reported: 2006-11-30 21:47 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 1.1.7-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 19:53:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2006-11-30 21:47:00 UTC
specfile patch for x86_64:

@@ -168,7 +176,7 @@ cat >%{buildroot}%{_includedir}/Graphics
 #if __WORDSIZE == 32
 # include "magick_config-32.h"
 #elif __WORDSIZE == 64
-# include "magick-config_64.h"
+# include "magick-config-64.h"
 #else
 # error "unexpected value for __WORDSIZE macro"
 #endif
@@ -176,10 +184,16 @@ cat >%{buildroot}%{_includedir}/Graphics
 #endif
 EOF


While you're at it, probably should change references from "Static libraries" to
just "Libraries" in %descriptions, since static libs aren't included.  (:

Comment 1 Rex Dieter 2006-12-01 13:19:31 UTC
FYI, took liberty of fixing devel branch, and queue'd a
GraphicsMagick-1_1_7-5_fc7 build (Job ID: 22723), so I could get started on
koffice.  I'll leave the rest to you (: 

%changelog
* Fri Dec 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> - 1.1.7-5
- fix magick-config-64.h (bug #217959)


Comment 2 Rex Dieter 2006-12-01 19:21:11 UTC
Ah heck, koffice build priority got bumped a bit due to security issue (bug
#218010), so I'll queue fixed FC-5/FC-6 builds as well.

Comment 3 Rex Dieter 2006-12-01 19:51:01 UTC
I snuck in fixes to make this buildable on pre modular X releases too (ie,
rhel4).  Feel free to obliterate that part if you mind the extra bit of specfile
cruft.


Note You need to log in before you can comment on or make changes to this bug.